<?php
 // --- Saisie d'un caractère ---
 echo "Entrez un caractère : "     ;
 fscanf(STDIN,"%s",$Saisie)        ;
 $Lettre=$Saisie[0]                ;
 echo "son code ASCII est : ".ord($Lettre).PHP_EOL ;
 // --- Saisie d'un code ASCII ---
 echo "Entrez un code ASCII : "    ;
 fscanf(STDIN,"%d",$Code)          ;
 echo "correspond au caractère : ".chr($Code).PHP_EOL ;
?>
